using UnityEngine;

[CreateAssetMenu]
public class SafeZoneStats : ScriptableObject {
	[field: SerializeField] [field: Min(0f)]
	public float JumpDuration { get; private set; } = 1.2f;

	[field: SerializeField] [field: Range(0f, 1f)]
	public float MinJumpJoystickValue { get; private set; } = 0.5f;

	[field: SerializeField] [field: Min(0f)]
	public float JumpOffset { get; private set; } = 1f;

	[field: SerializeField]
	public AnimationCurve JumpSpeedCurve { get; private set; }
}